
Application: gvSIG desktop - gvSIG bugs #5185
Falla la instalacion
12/13/2019 01:04 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)
Severity: Blocker Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3002 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

INFO 10379 [Instalando prerrequisitos...] (AbstractLibrary.java:355) - PostInitializing library
'org.gvsig.scripting.ScriptingLibrary'.
 INFO 10387 [Instalando prerrequisitos...] (DefaultScriptingManager.java:142) - Set scripting home to
'/home/jjdelcerro/.gvsig-scripting'
 INFO 10387 [Instalando prerrequisitos...] (DefaultScriptingManager.java:724) - Add scripting lib folder
'/home/jjdelcerro/.gvsig-scripting/lib'
 INFO 10392 [Instalando prerrequisitos...] (AbstractLibrary.java:360) - Can't postinitialize library
'org.gvsig.scripting.ScriptingLibrary'.
java.lang.NoClassDefFoundError: org/gvsig/expressionevaluator/ExpressionEvaluatorLocator
    at org.gvsig.scripting.impl.DefaultScriptingManager.setHomeFolder(DefaultScriptingManager.java:146)
    at org.gvsig.scripting.impl.DefaultScriptingManager.<init>(DefaultScriptingManager.java:84)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
    at java.lang.reflect.Constructor.newInstance(Constructor.java:423)
    at java.lang.Class.newInstance(Class.java:442)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPointManager.create(DefaultExtensionPointManager.java:64)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPoint$Extension.create(DefaultExtensionPoint.java:108)
    at org.gvsig.tools.extensionpoint.impl.DefaultExtensionPoint.create(DefaultExtensionPoint.java:276)
    at org.gvsig.tools.locator.AbstractLocator.get(AbstractLocator.java:60)
    at org.gvsig.scripting.ScriptingLocator.getManager(ScriptingLocator.java:49)
    at org.gvsig.scripting.ScriptingLibrary.doPostInitialize(ScriptingLibrary.java:22)
    at org.gvsig.tools.library.AbstractLibrary.postInitialize(AbstractLibrary.java:358)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:252)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.postInitialize(AbstractLibrariesInitializer.java:105)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:116)
    at org.gvsig.installer.lib.impl.execution.InstallerProviderInstallers.install(InstallerProviderInstallers.java:191)
    at
org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.installPackageProviders(DefaultInstallPackageService.java:565)
    at org.gvsig.installer.swing.impl.execution.wizard.InstallersWizardPage$UpdatePanel.run(InstallersWizardPage.java:134)
Caused by: java.lang.ClassNotFoundException: org.gvsig.expressionevaluator.ExpressionEvaluatorLocator
    at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
    ... 20 more


65)
    at org.gvsig.installer.swing.impl.execution.wizard.InstallersWizardPage$UpdatePanel.run(InstallersWizardPage.java:134)
Caused by: java.lang.ClassNotFoundException: org.gvsig.expressionevaluator.ExpressionEvaluatorLocator
    at java.net.URLClassLoader.findClass(URLClassLoader.java:381)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357)

05/11/2024 1/2



    ... 20 more

Associated revisions
Revision 44643 - 12/19/2019 11:06 PM - Joaquín  del Cerro Murciano

refs #5185, separado el expression evaluator en tres. El base, el que añade el soporte para geometrias y el que añade funciones de tiempo. Asi es
posible usar el evaluador de expresiones cuando no se tiene acceso a la libreria de geometrias.

Revision 44644 - 12/19/2019 11:07 PM - Joaquín  del Cerro Murciano

refs #5185, separado el expression evaluator en tres. El base, el que añade el soporte para geometrias y el que añade funciones de tiempo. Asi es
posible usar el evaluador de expresiones cuando no se tiene acceso a la libreria de geometrias.

Revision 44652 - 12/21/2019 07:20 PM - Joaquín  del Cerro Murciano

refs #5185, correccion de algun error que colea tras la separacion del expressionbuiler en dos.

History
#1 - 12/13/2019 01:06 PM - Joaquín  del Cerro Murciano
- gvSIG version changed from 2.5.0 to 2.5.1

#2 - 12/20/2019 10:22 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 01/21/2020 07:38 PM - Álvaro Anguix
- Status changed from Fixed to Closed
